Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065001 - Starting docker service removes IPv6 default route
Summary: Starting docker service removes IPv6 default route
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: docker-io
Version: el6
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 16:47 UTC by Lucas Maneos
Modified: 2014-07-01 23:00 UTC (History)
8 users (show)

Fixed In Version: docker-io-0.8.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-22 01:49:33 UTC


Attachments (Terms of Use)

Description Lucas Maneos 2014-02-13 16:47:25 UTC
Description of problem:

The docker init script does this:

    preexec="/sbin/sysctl"
    [ -x $preexec ] || exit 6
    $preexec -w net.ipv4.ip_forward=1 > /dev/null 2>&1
    $preexec -w net.ipv6.conf.all.forwarding=1 > /dev/null 2>&1

These two settings are not quite equivalent.  In particular, net.ipv6.conf.all.forwarding=1 disables autoconfiguration.

Version-Release number of selected component (if applicable):

0.7.6-2.el6

How reproducible:


Steps to Reproduce:
1. Start with a host using stateless IPV6 networking configuration.
2. Install docker-io.
3. Start docker-io service.


Actual results:
Loss of ::/0 route (previously auto-configured via a router advertisment).

Expected results:
No changes in routing table.

Additional info:

According to Documentation/networking/ip-sysctl.txt setting net.ipv6.conf.xxx.accept_ra to 2 should re-enable it for that interface but that doesn't seem to work for me.

Comment 1 Fedora Update System 2014-02-14 16:12:24 UTC
docker-io-0.8.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.8.0-3.el6

Comment 2 Fedora Update System 2014-02-16 11:25:13 UTC
Package docker-io-0.8.0-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing docker-io-0.8.0-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0580/docker-io-0.8.0-3.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-02-22 01:49:33 UTC
docker-io-0.8.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.